Loading...
Searching...
No Matches
p_ShallowCopyDelete__T.cc File Reference

Go to the source code of this file.

## Functions

LINKAGE poly | p_ShallowCopyDelete__T (poly s_p, const ring r, omBin d_bin)

## Function Documentation

## p_ShallowCopyDelete__T()

LINKAGE poly p_ShallowCopyDelete__T | ( | poly | s_p,
|  | const ring | r,
|  | omBin | d_bin )

Definition at line 17 of file p_ShallowCopyDelete__T.cc.

{
spolyrec dp;
poly d_p = &dp;
poly h;
DECLARE_LENGTH(const unsigned long length = r->ExpL_Size);
while (s_p != NULL)
{
p_AllocBin(d_p->next, d_bin, r);
pIter(d_p);
pSetCoeff0(d_p, pGetCoeff(s_p));
h = s_p;
s_p = pNext(s_p);
p_MemCopy__T(d_p->exp, h->exp, length);
p_FreeBinAddr(h, r);
}
pNext(d_p) = NULL;
return dp.next;
}
length
static BOOLEAN length(leftv result, leftv arg)
Definition interval.cc:257
h
STATIC_VAR Poly * h
Definition janet.cc:971
p_FreeBinAddr
#define p_FreeBinAddr(p, r)
Definition monomials.h:217
spolyrec::next
poly next
Definition monomials.h:24
pIter
#define pIter(p)
Definition monomials.h:37
pNext
#define pNext(p)
Definition monomials.h:36
pSetCoeff0
#define pSetCoeff0(p, n)
Definition monomials.h:59
p_AllocBin
#define p_AllocBin(p, bin, r)
Definition monomials.h:210
pGetCoeff
static number & pGetCoeff(poly p)
return an alias to the leading coefficient of p assumes that p != NULL NOTE: not copy
Definition monomials.h:44
spolyrec
Definition monomials.h:23
NULL
#define NULL
Definition omList.c:12